curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sender": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"payment": {
"kind": "direct",
"from": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "100000000"
},
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Get an offramp order
By the order id. A customer bearer reads that customer’s orders; an API key with deposits:read, the project’s.
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://v1.orchestrator.rhinestone.dev/deposit-processor/offramp/orders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "noah",
"status": "pending",
"terminal": true,
"stages": {
"receipt": {
"status": "not_started"
},
"conversion": {
"status": "not_started"
},
"delivery": {
"status": "not_started"
},
"return": {
"status": "none"
}
},
"rail": {
"kind": "fiat",
"method": "<string>"
},
"fiat": {
"charged": {
"total": "<string>",
"net": "<string>",
"currency": "<string>"
},
"eur": {
"total": "<string>",
"net": "<string>"
},
"usd": {
"total": "<string>",
"net": "<string>"
}
},
"crypto": {
"asset": "<string>",
"network": "<string>",
"amount": "<string>"
},
"providerStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sender": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"payment": {
"kind": "direct",
"from": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"to": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"chain": "<string>",
"token": "0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91",
"amount": "100000000"
},
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}{
"error": "<string>",
"code": "VERIFICATION_REQUIRED"
}Headers
Integrator API key: the project’s orders
Customer bearer from POST /compliance/sessions: that customer’s orders, and every order on its bound account
"Bearer eyJhbGciOi..."
Path Parameters
Response
The order
noah, swapped pending, processing, completed, failed, refunded No stage will change again
Show child attributes
Show child attributes
provider_selected / unknown when the provider did not say
- Option 1
- Option 2
Show child attributes
Show child attributes
What the bank receives, after fees; null until the provider states it
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The provider’s own status of its latest leg, else ours (reserved, opened, refused, unknown); informational
When the provider says the order began
The address the crypto must come from
^0x[a-fA-F0-9]{40}$"0x742d35Cc6634C0532925a3b844Bc9e7595f5bE91"
Null until the provider’s rule exists: while it is being created, or when the rule was refused or its outcome is unknown. Still served after expiresAt: the provider may still match the transfer.
Show child attributes
Show child attributes
Send the payment before this
Was this page helpful?